%global srcname bleach

Name:           python-%{srcname}
Version:        3.1.4
%define subrel  1
Release:        %mkrel 1
Summary:        An easy whitelist-based HTML-sanitizing tool
Group:          Development/Python
License:        ASL 2.0
URL:            http://github.com/jsocol/bleach
Source0:        %{url}/archive/v%{version}/%{srcname}-%{version}.tar.gz
Patch1:         0001-remove-privacy-breach.patch
Patch2:         0002-no_vendored_html5lib.patch
Patch3:         0003-sanitizer-escape-HTML-comments.patch
Patch4:         0004-tests-add-tests-for-more-eject-tags-for-GHSA-vv2x-vr.patch

BuildArch:      noarch

%global _description \
Bleach is an HTML sanitizing library that escapes or strips markup and\
attributes based on a white list.

%description %{_description}

%package -n python2-%{srcname}
Summary:        %{summary}
BuildRequires:  python2-devel
BuildRequires:  python2dist(setuptools)
BuildRequires:  python2dist(six)
BuildRequires:  python2dist(html5lib)
%{?python_provide:%python_provide python2-%{srcname}}
Requires:       python2dist(six)
Requires:       python2dist(html5lib)

%description -n python2-%{srcname} %{_description}

Python 2 version.

%package -n python3-%{srcname}
Summary:        An easy whitelist-based HTML-sanitizing tool
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(six)
BuildRequires:  python3dist(html5lib)
%{?python_provide:%python_provide python3-%{srcname}}
Requires:       python3dist(six)
Requires:       python3dist(html5lib)

%description -n python3-%{srcname} %{_description}

Python 3 version.

%prep
%autosetup -n %{srcname}-%{version} -p1

# Needed if we ever package python-pytest-runner...
sed -i 's/pytest-runner>=2.0,<3dev/pytest-runner/' setup.py

# Remove vendored libraries which were added for https://github.com/mozilla/bleach/issues/386
rm -r bleach/_vendor/
# Bleach has a shim layer that references the vendored html5lib we just deleted.
# Let's patch up the imports to use the real html5lib.
sed -i "s/bleach._vendor.html5lib/html5lib/g" bleach/html5lib_shim.py

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%files -n python2-%{srcname}
%license LICENSE
%doc README.rst
%{python2_sitelib}/%{srcname}-*.egg-info/
%{python2_sitelib}/%{srcname}/

%files -n python3-%{srcname}
%license LICENSE
%doc README.rst
%{python3_sitelib}/%{srcname}-*.egg-info/
%{python3_sitelib}/%{srcname}/



%changelog
* Mon Jun 07 2021 daviddavid <daviddavid> 3.1.4-1.1.mga7
+ Revision: 1730007
- add debian patches to fix CVE-2021-23980 (mga#28986)
+ ns80 <ns80>
- new version 3.1.4 for CVE-2020-6817 (mga#26445)
- new version 3.1.2 for CVE-2020-6816 (mga#26379)
- new version 3.1.1 for CVE-2020-6802 (mga#26286)

* Mon Jan 14 2019 daviddavid <daviddavid> 3.1.0-2.mga7
+ Revision: 1356822
- unbundled html5lib module

* Sat Jan 12 2019 wally <wally> 3.1.0-1.mga7
+ Revision: 1355660
- new version 3.1.0

* Sat Jan 12 2019 tmb <tmb> 2.1.3-3.mga7
+ Revision: 1355163
- rebuild for python 3.7

* Thu Sep 20 2018 umeabot <umeabot> 2.1.3-2.mga7
+ Revision: 1288355
- Mageia 7 Mass Rebuild

* Tue May 01 2018 ngompa <ngompa> 2.1.3-1.mga7
+ Revision: 1224066
- Rebase to v2.1.3 to work with newer html5lib

* Sat Aug 05 2017 pterjan <pterjan> 1.4.2-3.mga7
+ Revision: 1135358
- Fix license and URL
- Rebuild for python 3.6

* Fri Feb 19 2016 umeabot <umeabot> 1.4.2-2.mga6
+ Revision: 970796
- Mageia 6 Mass Rebuild

* Fri Oct 09 2015 shlomif <shlomif> 1.4.2-1.mga6
+ Revision: 888402
- New version 1.4.2;Rebuild for Python3 3.5.x

* Tue Nov 04 2014 joequant <joequant> 1.4-1.mga5
+ Revision: 795575
- imported package python-bleach

